Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math
Class MathConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.MathConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class MathConfigurationException

extends MathException
implements java.io.Serializable

Signals a configuration problem with any of the factory methods.

Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID` Serializable version identifier

Constructor Summary
`MathConfigurationException()` Default constructor.
`MathConfigurationException(java.lang.String pattern, java.lang.Object... arguments)` Constructs an exception with specified formatted detail message.
`MathConfigurationException(java.lang.Throwable cause)` Create an exception with a given root cause.
`MathConfigurationException(java.lang.Throwable cause, java.lang.String pattern, java.lang.Object... arguments)` Constructs an exception with specified formatted detail message and root cause.

Method Summary

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### MathConfigurationException

    public MathConfigurationException()

  Default constructor.

### MathConfigurationException

    public MathConfigurationException(java.lang.String pattern,
                                      java.lang.Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    1.2

### MathConfigurationException

    public MathConfigurationException(java.lang.Throwable cause)

  Create an exception with a given root cause.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown

### MathConfigurationException

    public MathConfigurationException(java.lang.Throwable cause,
                                      java.lang.String pattern,
                                      java.lang.Object... arguments)

  Constructs an exception with specified formatted detail message and root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    1.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation